Retrieve All Payment Tokens
GET/buyers/{buyer-id}/payment-tokens
Retrieves all of the payment tokens of a Buyer.
Request
Path Parameters
Possible values: <= 255 characters
Unique identifier of the customer in your system.
Query Parameters
ID of processing entity.
Filter by payment token status. When omitted, only active tokens are returned.
Responses
- 200
- 400
OK
- application/json
- Schema
- Example (from schema)
Schema
Array [
]
paymentTokens
object[]
1eaf1356-a9a2-4a16-a0c1-290ba2265257ID of card in the Gateway. Values: 1 = VISA | 2 = MasterCard | 3 = Amex | 4 = Diners | 5 = JCB | 6 = Discover
1Payment Token Display Name
paymentOption
object
required
card
object
The cardholder name.
Possible values: <= 70 characters
Jada PinkettThe masked credit card number.
Possible values: <= 20 characters
5***6597The first six or eight digits from the credit card number for identifying the processing bank. The rest of the number is not displayed.
Possible values: <= 8 characters
546221The card expiration month.
Possible values: Value must match regular expression ^(0[1-9]|1[0-2])$
06The card expiration year.
Possible values: Value must match regular expression ^(\d{4}|\d{2})$
2022The type of card used in the transaction.
Possible values: [Credit, Debit]
The card brand used in the transaction.
The card brand used in the transaction.
The card brand used in the transaction.
Indicates if the card is prepaid or not.
Possible values: >= 2 characters and <= 2 characters
alternativePaymentMethod
object
Possible values: non-empty and <= 50 characters
ACH{"accountNumber":"11345739548759","routingNumber":"847937857"}The status of the payment token.
Possible values: [active, suspended, disabled]
Merchant Reference for a business entity (token, subscription, etc.)
Possible values: <= 50 characters
MREF_6f06168d-ff6e-448b-8401-30051eb6b1afProcessing entityId provided by Nuvei.
80aef199-b89a-4d59-ba0c-f2cd3c25d5cdPossible values: [recurring, unscheduled]
result
object
required
Possible values: [success, error]
errors
object
If an error occurred on the request side, an error code is returned in this parameter.
Possible values: <= 11 characters
7000.1000If an error occurred on the request side, then an error reason is returned in this parameter.
Possible values: <= 400 characters
Unexpected errorInternal reference for troubleshooting
Possible values: <= 400 characters
{
"paymentTokens": [
{
"paymentTokenId": "1eaf1356-a9a2-4a16-a0c1-290ba2265257",
"cccId": 1,
"displayName": "string",
"paymentOption": {
"card": {
"cardHolderName": "Jada Pinkett",
"maskedCardNumber": "5***6597",
"bin": "546221",
"expirationMonth": "06",
"expirationYear": "2022",
"cardType": "Credit",
"cardBrand": "string",
"secondaryBrand": "string",
"isDualBranded": true,
"lastBrand": "string",
"cardProduct": "string",
"cardProgram": "string",
"cardProductType": "string",
"isPrepaid": true,
"issuerCountry": "string",
"issuerBankName": "string",
"isVirtual": true,
"isDynamicCurrencyConversionSupported": true
},
"alternativePaymentMethod": {
"name": "ACH",
"data": {
"accountNumber": "11345739548759",
"routingNumber": "847937857"
}
}
},
"status": "active",
"buyerId": "[email protected]",
"merchantReference": "MREF_6f06168d-ff6e-448b-8401-30051eb6b1af",
"processingEntityId": "80aef199-b89a-4d59-ba0c-f2cd3c25d5cd",
"usageIntent": "recurring"
}
],
"result": {
"status": "success",
"errors": {
"code": "7000.1000",
"reason": "Unexpected error",
"reference": "string"
}
}
}
Bad Request
- application/json
- Schema
- Example (from schema)
Schema
Array [
]
paymentTokens
object[]
1eaf1356-a9a2-4a16-a0c1-290ba2265257ID of card in the Gateway. Values: 1 = VISA | 2 = MasterCard | 3 = Amex | 4 = Diners | 5 = JCB | 6 = Discover
1Payment Token Display Name
paymentOption
object
required
card
object
The cardholder name.
Possible values: <= 70 characters
Jada PinkettThe masked credit card number.
Possible values: <= 20 characters
5***6597The first six or eight digits from the credit card number for identifying the processing bank. The rest of the number is not displayed.
Possible values: <= 8 characters
546221The card expiration month.
Possible values: Value must match regular expression ^(0[1-9]|1[0-2])$
06The card expiration year.
Possible values: Value must match regular expression ^(\d{4}|\d{2})$
2022The type of card used in the transaction.
Possible values: [Credit, Debit]
The card brand used in the transaction.
The card brand used in the transaction.
The card brand used in the transaction.
Indicates if the card is prepaid or not.
Possible values: >= 2 characters and <= 2 characters
alternativePaymentMethod
object
Possible values: non-empty and <= 50 characters
ACH{"accountNumber":"11345739548759","routingNumber":"847937857"}The status of the payment token.
Possible values: [active, suspended, disabled]
Merchant Reference for a business entity (token, subscription, etc.)
Possible values: <= 50 characters
MREF_6f06168d-ff6e-448b-8401-30051eb6b1afProcessing entityId provided by Nuvei.
80aef199-b89a-4d59-ba0c-f2cd3c25d5cdPossible values: [recurring, unscheduled]
result
object
required
Possible values: [success, error]
errors
object
If an error occurred on the request side, an error code is returned in this parameter.
Possible values: <= 11 characters
7000.1000If an error occurred on the request side, then an error reason is returned in this parameter.
Possible values: <= 400 characters
Unexpected errorInternal reference for troubleshooting
Possible values: <= 400 characters
{
"paymentTokens": [
{
"paymentTokenId": "1eaf1356-a9a2-4a16-a0c1-290ba2265257",
"cccId": 1,
"displayName": "string",
"paymentOption": {
"card": {
"cardHolderName": "Jada Pinkett",
"maskedCardNumber": "5***6597",
"bin": "546221",
"expirationMonth": "06",
"expirationYear": "2022",
"cardType": "Credit",
"cardBrand": "string",
"secondaryBrand": "string",
"isDualBranded": true,
"lastBrand": "string",
"cardProduct": "string",
"cardProgram": "string",
"cardProductType": "string",
"isPrepaid": true,
"issuerCountry": "string",
"issuerBankName": "string",
"isVirtual": true,
"isDynamicCurrencyConversionSupported": true
},
"alternativePaymentMethod": {
"name": "ACH",
"data": {
"accountNumber": "11345739548759",
"routingNumber": "847937857"
}
}
},
"status": "active",
"buyerId": "[email protected]",
"merchantReference": "MREF_6f06168d-ff6e-448b-8401-30051eb6b1af",
"processingEntityId": "80aef199-b89a-4d59-ba0c-f2cd3c25d5cd",
"usageIntent": "recurring"
}
],
"result": {
"status": "success",
"errors": {
"code": "7000.1000",
"reason": "Unexpected error",
"reference": "string"
}
}
}